
Name: app-file-scan
Epoch: 1
Version: 2.4.8
Release: 1%{dist}
Summary: Antimalware File Scanner
License: GPLv3
Group: Applications/Apps
Packager: ClearFoundation
Vendor: ClearFoundation
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
The File Scanner app scans the server for infected files.

%package core
Summary: Antimalware File Scanner - API
License: LGPLv3
Group: Applications/API
Requires: app-base-core
Requires: app-tasks-core
Requires: app-antivirus-core >= 1:2.4.4
Requires: app-mail-notification-core

%description core
The File Scanner app scans the server for infected files.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/file_scan
cp -r * %{buildroot}/usr/clearos/apps/file_scan/

install -d -m 0755 %{buildroot}/var/clearos/file_scan
install -d -m 700 %{buildroot}/var/clearos/file_scan/quarantine
install -D -m 0644 packaging/app-file-scan.cron %{buildroot}/etc/cron.d/app-file-scan
install -D -m 0755 packaging/file_scan %{buildroot}/usr/sbin/file_scan
install -D -m 0644 packaging/file_scan.conf %{buildroot}/etc/clearos/file_scan.conf

%post
logger -p local6.notice -t installer 'app-file-scan - installing'

%post core
logger -p local6.notice -t installer 'app-file-scan-api - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/file_scan/deploy/install ] && /usr/clearos/apps/file_scan/deploy/install
fi

[ -x /usr/clearos/apps/file_scan/deploy/upgrade ] && /usr/clearos/apps/file_scan/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-file-scan - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-file-scan-api - uninstalling'
    [ -x /usr/clearos/apps/file_scan/deploy/uninstall ] && /usr/clearos/apps/file_scan/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/file_scan/controllers
/usr/clearos/apps/file_scan/htdocs
/usr/clearos/apps/file_scan/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/file_scan/packaging
%exclude /usr/clearos/apps/file_scan/unify.json
%dir /usr/clearos/apps/file_scan
%dir /var/clearos/file_scan
%dir /var/clearos/file_scan/quarantine
/usr/clearos/apps/file_scan/deploy
/usr/clearos/apps/file_scan/language
/usr/clearos/apps/file_scan/libraries
/etc/cron.d/app-file-scan
/usr/sbin/file_scan
%attr(0644,webconfig,webconfig) %config(noreplace) /etc/clearos/file_scan.conf
